import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class FileUploadComponent {
    multiple: boolean;
    label: string;
    accept: string;
    selectedFiles: File[];
    selectedFilesChange: EventEmitter<File[]>;
    MAX_FILE_SIZE: number;
    onFileSelected(event: any): void;
    onDrop(event: DragEvent): void;
    onDragOver(event: DragEvent): void;
    processFiles(files: File[]): void;
    removeFile(index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileUploadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileUploadComponent, "file-upload", never, { "multiple": { "alias": "multiple"; "required": false; }; "label": { "alias": "label"; "required": false; }; "accept": { "alias": "accept"; "required": false; }; "selectedFiles": { "alias": "selectedFiles"; "required": false; }; }, { "selectedFilesChange": "selectedFilesChange"; }, never, never, false, never>;
}
